#!/bin/sh

#########################################################################
#                                                                       #
#  This script starts all of the players of Iranians_2002 team.         #
#  Usage: start.sh <team_name> <host_name> <post_number>                #
#                                                                       #
#  Example: start.sh                                                    #
#  Example: start.sh team1                                              #
#  Example: start.sh team1 machine1                                     #
#  Example: start.sh team1 machine1 1234                                #
#                                                                       #
#########################################################################
#                                                                       #
#  You can also use the Iranians binary file, to start a single player. #
#  Usage: Iranians [team_name [host [port]] [goalie] [reconnectNo]]     #
#                                                                       #
#  Example: Iranians                                                    #
#  Example: Iranians team1                                              #
#  Example: Iranians team1 goalie                                       #
#  Example: Iranians team1 machine1                                     #
#  Example: Iranians team1 reconnect5                                   #
#  Example: Iranians team1 machine1 1234                                #
#  Example: Iranians team1 machine1 1234 goalie                         #
#  Example: Iranians team1 machine1 goalie reconnect5                   #
#  Example: Iranians team1 machine1 1234 goalie reconnect5              #
#                                                                       #
#  Iranians -h shows the usage                                          #
#                                                                       #
#########################################################################

index=$#
program=./Iranians
teamname="Iranians"
server="localhost"
port=6000
sleeptime=0.5

case $index in 
3)
teamname=$1
server=$2
port=$3
;;
2)
teamname=$1
server=$2
;;
1)
teamname=$1
;;
0)
;;
esac

$program $teamname $server $port goalie &
sleep $sleeptime
$program $teamname $server $port &
sleep $sleeptime
$program $teamname $server $port &
sleep $sleeptime
$program $teamname $server $port &
sleep $sleeptime
$program $teamname $server $port &
sleep $sleeptime
$program $teamname $server $port &
sleep $sleeptime
$program $teamname $server $port &
sleep $sleeptime
$program $teamname $server $port &
sleep $sleeptime
$program $teamname $server $port &
sleep $sleeptime
$program $teamname $server $port &
sleep $sleeptime
$program $teamname $server $port &
